## org.eclipse.emf.ecoretools.diagram.part
Class EcoreShortcutPropertyTester

    java.lang.Object
      org.eclipse.core.expressions.PropertyTester
          org.eclipse.emf.ecoretools.diagram.part.EcoreShortcutPropertyTester

All Implemented Interfaces:
  org.eclipse.core.expressions.IPropertyTester

    public class EcoreShortcutPropertyTester

extends org.eclipse.core.expressions.PropertyTester

Field Summary
`protected static java.lang.String` `SHORTCUT_PROPERTY`

Constructor Summary
`EcoreShortcutPropertyTester()`

Method Summary
`boolean` `test(java.lang.Object receiver, java.lang.String method, java.lang.Object[] args, java.lang.Object expectedValue)`

Methods inherited from class org.eclipse.core.expressions.PropertyTester
`handles, instantiate, internalCreateDescriptor, internalInitialize, isDeclaringPluginActive, isInstantiated`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SHORTCUT_PROPERTY

    protected static final java.lang.String SHORTCUT_PROPERTY

See Also:
  Constant Field Values

Constructor Detail

### EcoreShortcutPropertyTester

    public EcoreShortcutPropertyTester()

Method Detail

### test

    public boolean test(java.lang.Object receiver,
                        java.lang.String method,
                        java.lang.Object[] args,
                        java.lang.Object expectedValue)

Copyright 2007 Anyware Technologies. All Rights Reserved.